> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1businesses vendors connectionsauth token



## OpenAPI

````yaml /api-reference/openapi.json post /v1/businesses/{businessId}/vendors/{vendorId}/connections/auth-token
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/vendors/{vendorId}/connections/auth-token:
    post:
      tags:
        - BusinessVendorConnections
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: vendorId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckAuthSessionTokenDto
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckAuthSessionTokenDto
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKEntitiesDeckV2DeckAuthSessionTokenDto
components:
  schemas:
    SmartbillsSDKEntitiesDeckV2DeckAuthSessionTokenDto:
      type: object
      properties:
        token:
          type: string
          nullable: true
        expiresAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false

````